Bug 477515 - Review Request: perl-Hardware-Vhdl-Lexer - Split VHDL code into lexical tokens
Review Request: perl-Hardware-Vhdl-Lexer - Split VHDL code into lexical tokens
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477520
  Show dependency treegraph
 
Reported: 2008-12-21 08:53 EST by Chitlesh GOORAH
Modified: 2008-12-30 18:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-21 08:53:23 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Lexer.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Lexer-1.00-1.fc10.src.rpm
Description:
Hardware::Vhdl::Lexer splits VHDL code into lexical tokens. To use it, you
need to first create a lexer object, passing in something which will supply
chunks of VHDL code to the lexer. Repeated calls to the get_next_token
method of the lexer will then return VHDL tokens (in scalar context) or a
token type code and the token (in list context). get_next_token returns
undef when there are no more tokens to be read.
Comment 1 Chitlesh GOORAH 2008-12-21 08:55:36 EST
Additional info:

scratch build: https://koji.fedoraproject.org/scratch/chitlesh/task_1013492/logs/noarch/

Workaround bugfix was reported :  Bug 477516 -  perl and dependencies
Comment 2 manuel wolfshant 2008-12-21 10:26:06 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 1ad7245b666ce8fa87966b3a1565393d70380e13 Hardware-Vhdl-Lexer-1.00.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build + devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build + devel/x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.
 [x] Final provides and requires are sane.

Notes
======
1. It seems that the test phase would be happier if Test::Pod was available:
t/pod.............skipped: Test::Pod 1.14 required for testing POD
The package is available for all versions of Fedora and EPEL, so I see no reason to not BR it.

2. Requires:       perl(Class::Std) is not needed, rpmbuild peeks it automatically

3. Are you sure that perl(Test::More) and perl(Test::Pod::Coverage) are needed as Requires? At a quick glance I did not see them being "Use"d.
Comment 3 Chitlesh GOORAH 2008-12-21 10:33:03 EST
Hello Manuel,
are there any other issues except the BR and Rs ?
Comment 4 manuel wolfshant 2008-12-21 10:44:14 EST
None that I can see. APPROVED (I'll trust you to fix those before commit)
Comment 5 Chitlesh GOORAH 2008-12-21 14:19:05 EST
Updated:
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Lexer.spec
SRPM URL:
http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Lexer-1.00-2.fc10.src.rpm

New Package CVS Request
=======================
Package Name: perl-Hardware-Vhdl-Lexer
Short Description: Split VHDL code into lexical tokens
Branches: F-9 F-10 EL-5
Owner: chitlesh
Comment 6 Kevin Fenzi 2008-12-22 21:49:31 EST
cvs done.
Comment 7 Fedora Update System 2008-12-24 10:01:57 EST
perl-Hardware-Vhdl-Lexer-1.00-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Hardware-Vhdl-Lexer-1.00-2.fc9
Comment 8 Fedora Update System 2008-12-24 10:02:02 EST
perl-Hardware-Vhdl-Lexer-1.00-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Hardware-Vhdl-Lexer-1.00-2.fc10
Comment 9 Fedora Update System 2008-12-30 18:52:12 EST
perl-Hardware-Vhdl-Lexer-1.00-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-30 18:55:40 EST
perl-Hardware-Vhdl-Lexer-1.00-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.